//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.3.2 
// See <a href="https://javaee.github.io/jaxb-v2/">https://javaee.github.io/jaxb-v2/</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2020.02.07 at 09:07:12 PM CET 
//


package org.tdwg.abcd2;

import java.math.BigInteger;
import java.util.ArrayList;
import java.util.List;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.adapters.NormalizedStringAdapter;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * Metadata referring to the principal source of the entire data collection (thus the metadata scope may be wider than the objects actually contained in the data set). If a history of the data collection (revised or expanded in various projects or at different institutions) exist, this must be reflected in the IPR statements and possibly in the list of Owners.
 * 
 * <p>Java class for ContentMetadata complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ContentMetadata"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Description"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="Representation" type="{http://www.tdwg.org/schemas/abcd/3.0}MetadataDescriptionRepr" maxOccurs="unbounded"/&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *         &lt;element name="LogoURL" type="{http://www.w3.org/2001/XMLSchema}anyURI" minOccurs="0"/&gt;
 *         &lt;element name="Scope" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="GeoecologicalTerms" minOccurs="0"&gt;
 *                     &lt;complexType&gt;
 *                       &lt;complexContent&gt;
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                           &lt;sequence&gt;
 *                             &lt;element name="GeoecologicalTerm" type="{http://www.tdwg.org/schemas/abcd/3.0}StringL255" maxOccurs="unbounded"/&gt;
 *                           &lt;/sequence&gt;
 *                         &lt;/restriction&gt;
 *                       &lt;/complexContent&gt;
 *                     &lt;/complexType&gt;
 *                   &lt;/element&gt;
 *                   &lt;element name="TaxonomicTerms" minOccurs="0"&gt;
 *                     &lt;complexType&gt;
 *                       &lt;complexContent&gt;
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                           &lt;sequence&gt;
 *                             &lt;element name="TaxonomicTerm" type="{http://www.tdwg.org/schemas/abcd/3.0}StringL255" maxOccurs="unbounded"/&gt;
 *                           &lt;/sequence&gt;
 *                         &lt;/restriction&gt;
 *                       &lt;/complexContent&gt;
 *                     &lt;/complexType&gt;
 *                   &lt;/element&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *         &lt;element name="Version" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="Major" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger"/&gt;
 *                   &lt;element name="Minor" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" minOccurs="0"/&gt;
 *                   &lt;element name="Modifier" type="{http://www.tdwg.org/schemas/abcd/3.0}String255" minOccurs="0"/&gt;
 *                   &lt;element name="DateCreated" type="{http://www.tdwg.org/schemas/abcd/3.0}DateTimeISO" minOccurs="0"/&gt;
 *                   &lt;element name="VersionText" type="{http://www.tdwg.org/schemas/abcd/3.0}StringL" minOccurs="0"/&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *         &lt;element name="RevisionData" type="{http://www.tdwg.org/schemas/abcd/3.0}RevisionData"/&gt;
 *         &lt;element name="Owners" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="Owner" type="{http://www.tdwg.org/schemas/abcd/3.0}Contact" maxOccurs="unbounded"/&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *         &lt;element name="LegalStatements" type="{http://www.tdwg.org/schemas/abcd/3.0}LegalStatements" minOccurs="0"/&gt;
 *         &lt;element name="InformationWithheld" type="{http://www.tdwg.org/schemas/abcd/3.0}StringL" minOccurs="0"/&gt;
 *         &lt;element name="DirectAccessURL" type="{http://www.w3.org/2001/XMLSchema}anyURI" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ContentMetadata", propOrder = {
    "description",
    "logoURL",
    "scope",
    "version",
    "revisionData",
    "owners",
    "legalStatements",
    "informationWithheld",
    "directAccessURL"
})
public class ContentMetadata {

    @XmlElement(name = "Description", required = true)
    protected ContentMetadata.Description description;
    @XmlElement(name = "LogoURL")
    @XmlSchemaType(name = "anyURI")
    protected String logoURL;
    @XmlElement(name = "Scope")
    protected ContentMetadata.Scope scope;
    @XmlElement(name = "Version")
    protected ContentMetadata.Version version;
    @XmlElement(name = "RevisionData", required = true)
    protected RevisionData revisionData;
    @XmlElement(name = "Owners")
    protected ContentMetadata.Owners owners;
    @XmlElement(name = "LegalStatements")
    protected LegalStatements legalStatements;
    @XmlElement(name = "InformationWithheld")
    protected StringL informationWithheld;
    @XmlElement(name = "DirectAccessURL")
    @XmlSchemaType(name = "anyURI")
    protected String directAccessURL;

    /**
     * Gets the value of the description property.
     * 
     * @return
     *     possible object is
     *     {@link ContentMetadata.Description }
     *     
     */
    public ContentMetadata.Description getDescription() {
        return description;
    }

    /**
     * Sets the value of the description property.
     * 
     * @param value
     *     allowed object is
     *     {@link ContentMetadata.Description }
     *     
     */
    public void setDescription(ContentMetadata.Description value) {
        this.description = value;
    }

    /**
     * Gets the value of the logoURL property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLogoURL() {
        return logoURL;
    }

    /**
     * Sets the value of the logoURL property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLogoURL(String value) {
        this.logoURL = value;
    }

    /**
     * Gets the value of the scope property.
     * 
     * @return
     *     possible object is
     *     {@link ContentMetadata.Scope }
     *     
     */
    public ContentMetadata.Scope getScope() {
        return scope;
    }

    /**
     * Sets the value of the scope property.
     * 
     * @param value
     *     allowed object is
     *     {@link ContentMetadata.Scope }
     *     
     */
    public void setScope(ContentMetadata.Scope value) {
        this.scope = value;
    }

    /**
     * Gets the value of the version property.
     * 
     * @return
     *     possible object is
     *     {@link ContentMetadata.Version }
     *     
     */
    public ContentMetadata.Version getVersion() {
        return version;
    }

    /**
     * Sets the value of the version property.
     * 
     * @param value
     *     allowed object is
     *     {@link ContentMetadata.Version }
     *     
     */
    public void setVersion(ContentMetadata.Version value) {
        this.version = value;
    }

    /**
     * Gets the value of the revisionData property.
     * 
     * @return
     *     possible object is
     *     {@link RevisionData }
     *     
     */
    public RevisionData getRevisionData() {
        return revisionData;
    }

    /**
     * Sets the value of the revisionData property.
     * 
     * @param value
     *     allowed object is
     *     {@link RevisionData }
     *     
     */
    public void setRevisionData(RevisionData value) {
        this.revisionData = value;
    }

    /**
     * Gets the value of the owners property.
     * 
     * @return
     *     possible object is
     *     {@link ContentMetadata.Owners }
     *     
     */
    public ContentMetadata.Owners getOwners() {
        return owners;
    }

    /**
     * Sets the value of the owners property.
     * 
     * @param value
     *     allowed object is
     *     {@link ContentMetadata.Owners }
     *     
     */
    public void setOwners(ContentMetadata.Owners value) {
        this.owners = value;
    }

    /**
     * Gets the value of the legalStatements property.
     * 
     * @return
     *     possible object is
     *     {@link LegalStatements }
     *     
     */
    public LegalStatements getLegalStatements() {
        return legalStatements;
    }

    /**
     * Sets the value of the legalStatements property.
     * 
     * @param value
     *     allowed object is
     *     {@link LegalStatements }
     *     
     */
    public void setLegalStatements(LegalStatements value) {
        this.legalStatements = value;
    }

    /**
     * Gets the value of the informationWithheld property.
     * 
     * @return
     *     possible object is
     *     {@link StringL }
     *     
     */
    public StringL getInformationWithheld() {
        return informationWithheld;
    }

    /**
     * Sets the value of the informationWithheld property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringL }
     *     
     */
    public void setInformationWithheld(StringL value) {
        this.informationWithheld = value;
    }

    /**
     * Gets the value of the directAccessURL property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDirectAccessURL() {
        return directAccessURL;
    }

    /**
     * Sets the value of the directAccessURL property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDirectAccessURL(String value) {
        this.directAccessURL = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="Representation" type="{http://www.tdwg.org/schemas/abcd/3.0}MetadataDescriptionRepr" maxOccurs="unbounded"/&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "representation"
    })
    public static class Description {

        @XmlElement(name = "Representation", required = true)
        protected List<MetadataDescriptionRepr> representation;

        /**
         * Gets the value of the representation property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the representation property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getRepresentation().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link MetadataDescriptionRepr }
         * 
         * 
         */
        public List<MetadataDescriptionRepr> getRepresentation() {
            if (representation == null) {
                representation = new ArrayList<MetadataDescriptionRepr>();
            }
            return this.representation;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="Owner" type="{http://www.tdwg.org/schemas/abcd/3.0}Contact" maxOccurs="unbounded"/&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "owner"
    })
    public static class Owners {

        @XmlElement(name = "Owner", required = true)
        protected List<Contact> owner;

        /**
         * Gets the value of the owner property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the owner property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getOwner().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link Contact }
         * 
         * 
         */
        public List<Contact> getOwner() {
            if (owner == null) {
                owner = new ArrayList<Contact>();
            }
            return this.owner;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="GeoecologicalTerms" minOccurs="0"&gt;
     *           &lt;complexType&gt;
     *             &lt;complexContent&gt;
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *                 &lt;sequence&gt;
     *                   &lt;element name="GeoecologicalTerm" type="{http://www.tdwg.org/schemas/abcd/3.0}StringL255" maxOccurs="unbounded"/&gt;
     *                 &lt;/sequence&gt;
     *               &lt;/restriction&gt;
     *             &lt;/complexContent&gt;
     *           &lt;/complexType&gt;
     *         &lt;/element&gt;
     *         &lt;element name="TaxonomicTerms" minOccurs="0"&gt;
     *           &lt;complexType&gt;
     *             &lt;complexContent&gt;
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *                 &lt;sequence&gt;
     *                   &lt;element name="TaxonomicTerm" type="{http://www.tdwg.org/schemas/abcd/3.0}StringL255" maxOccurs="unbounded"/&gt;
     *                 &lt;/sequence&gt;
     *               &lt;/restriction&gt;
     *             &lt;/complexContent&gt;
     *           &lt;/complexType&gt;
     *         &lt;/element&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "geoecologicalTerms",
        "taxonomicTerms"
    })
    public static class Scope {

        @XmlElement(name = "GeoecologicalTerms")
        protected ContentMetadata.Scope.GeoecologicalTerms geoecologicalTerms;
        @XmlElement(name = "TaxonomicTerms")
        protected ContentMetadata.Scope.TaxonomicTerms taxonomicTerms;

        /**
         * Gets the value of the geoecologicalTerms property.
         * 
         * @return
         *     possible object is
         *     {@link ContentMetadata.Scope.GeoecologicalTerms }
         *     
         */
        public ContentMetadata.Scope.GeoecologicalTerms getGeoecologicalTerms() {
            return geoecologicalTerms;
        }

        /**
         * Sets the value of the geoecologicalTerms property.
         * 
         * @param value
         *     allowed object is
         *     {@link ContentMetadata.Scope.GeoecologicalTerms }
         *     
         */
        public void setGeoecologicalTerms(ContentMetadata.Scope.GeoecologicalTerms value) {
            this.geoecologicalTerms = value;
        }

        /**
         * Gets the value of the taxonomicTerms property.
         * 
         * @return
         *     possible object is
         *     {@link ContentMetadata.Scope.TaxonomicTerms }
         *     
         */
        public ContentMetadata.Scope.TaxonomicTerms getTaxonomicTerms() {
            return taxonomicTerms;
        }

        /**
         * Sets the value of the taxonomicTerms property.
         * 
         * @param value
         *     allowed object is
         *     {@link ContentMetadata.Scope.TaxonomicTerms }
         *     
         */
        public void setTaxonomicTerms(ContentMetadata.Scope.TaxonomicTerms value) {
            this.taxonomicTerms = value;
        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType&gt;
         *   &lt;complexContent&gt;
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
         *       &lt;sequence&gt;
         *         &lt;element name="GeoecologicalTerm" type="{http://www.tdwg.org/schemas/abcd/3.0}StringL255" maxOccurs="unbounded"/&gt;
         *       &lt;/sequence&gt;
         *     &lt;/restriction&gt;
         *   &lt;/complexContent&gt;
         * &lt;/complexType&gt;
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "geoecologicalTerm"
        })
        public static class GeoecologicalTerms {

            @XmlElement(name = "GeoecologicalTerm", required = true)
            protected List<StringL255> geoecologicalTerm;

            /**
             * Gets the value of the geoecologicalTerm property.
             * 
             * <p>
             * This accessor method returns a reference to the live list,
             * not a snapshot. Therefore any modification you make to the
             * returned list will be present inside the JAXB object.
             * This is why there is not a <CODE>set</CODE> method for the geoecologicalTerm property.
             * 
             * <p>
             * For example, to add a new item, do as follows:
             * <pre>
             *    getGeoecologicalTerm().add(newItem);
             * </pre>
             * 
             * 
             * <p>
             * Objects of the following type(s) are allowed in the list
             * {@link StringL255 }
             * 
             * 
             */
            public List<StringL255> getGeoecologicalTerm() {
                if (geoecologicalTerm == null) {
                    geoecologicalTerm = new ArrayList<StringL255>();
                }
                return this.geoecologicalTerm;
            }

        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType&gt;
         *   &lt;complexContent&gt;
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
         *       &lt;sequence&gt;
         *         &lt;element name="TaxonomicTerm" type="{http://www.tdwg.org/schemas/abcd/3.0}StringL255" maxOccurs="unbounded"/&gt;
         *       &lt;/sequence&gt;
         *     &lt;/restriction&gt;
         *   &lt;/complexContent&gt;
         * &lt;/complexType&gt;
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "taxonomicTerm"
        })
        public static class TaxonomicTerms {

            @XmlElement(name = "TaxonomicTerm", required = true)
            protected List<StringL255> taxonomicTerm;

            /**
             * Gets the value of the taxonomicTerm property.
             * 
             * <p>
             * This accessor method returns a reference to the live list,
             * not a snapshot. Therefore any modification you make to the
             * returned list will be present inside the JAXB object.
             * This is why there is not a <CODE>set</CODE> method for the taxonomicTerm property.
             * 
             * <p>
             * For example, to add a new item, do as follows:
             * <pre>
             *    getTaxonomicTerm().add(newItem);
             * </pre>
             * 
             * 
             * <p>
             * Objects of the following type(s) are allowed in the list
             * {@link StringL255 }
             * 
             * 
             */
            public List<StringL255> getTaxonomicTerm() {
                if (taxonomicTerm == null) {
                    taxonomicTerm = new ArrayList<StringL255>();
                }
                return this.taxonomicTerm;
            }

        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="Major" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger"/&gt;
     *         &lt;element name="Minor" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" minOccurs="0"/&gt;
     *         &lt;element name="Modifier" type="{http://www.tdwg.org/schemas/abcd/3.0}String255" minOccurs="0"/&gt;
     *         &lt;element name="DateCreated" type="{http://www.tdwg.org/schemas/abcd/3.0}DateTimeISO" minOccurs="0"/&gt;
     *         &lt;element name="VersionText" type="{http://www.tdwg.org/schemas/abcd/3.0}StringL" minOccurs="0"/&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "major",
        "minor",
        "modifier",
        "dateCreated",
        "versionText"
    })
    public static class Version {

        @XmlElement(name = "Major", required = true)
        @XmlSchemaType(name = "nonNegativeInteger")
        protected BigInteger major;
        @XmlElement(name = "Minor")
        @XmlSchemaType(name = "nonNegativeInteger")
        protected BigInteger minor;
        @XmlElement(name = "Modifier")
        @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
        @XmlSchemaType(name = "normalizedString")
        protected String modifier;
        @XmlElement(name = "DateCreated")
        protected String dateCreated;
        @XmlElement(name = "VersionText")
        protected StringL versionText;

        /**
         * Gets the value of the major property.
         * 
         * @return
         *     possible object is
         *     {@link BigInteger }
         *     
         */
        public BigInteger getMajor() {
            return major;
        }

        /**
         * Sets the value of the major property.
         * 
         * @param value
         *     allowed object is
         *     {@link BigInteger }
         *     
         */
        public void setMajor(BigInteger value) {
            this.major = value;
        }

        /**
         * Gets the value of the minor property.
         * 
         * @return
         *     possible object is
         *     {@link BigInteger }
         *     
         */
        public BigInteger getMinor() {
            return minor;
        }

        /**
         * Sets the value of the minor property.
         * 
         * @param value
         *     allowed object is
         *     {@link BigInteger }
         *     
         */
        public void setMinor(BigInteger value) {
            this.minor = value;
        }

        /**
         * Gets the value of the modifier property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getModifier() {
            return modifier;
        }

        /**
         * Sets the value of the modifier property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setModifier(String value) {
            this.modifier = value;
        }

        /**
         * Gets the value of the dateCreated property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getDateCreated() {
            return dateCreated;
        }

        /**
         * Sets the value of the dateCreated property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setDateCreated(String value) {
            this.dateCreated = value;
        }

        /**
         * Gets the value of the versionText property.
         * 
         * @return
         *     possible object is
         *     {@link StringL }
         *     
         */
        public StringL getVersionText() {
            return versionText;
        }

        /**
         * Sets the value of the versionText property.
         * 
         * @param value
         *     allowed object is
         *     {@link StringL }
         *     
         */
        public void setVersionText(StringL value) {
            this.versionText = value;
        }

    }

}
